## org.apache.mahout.common
Class IntPairWritable.Comparator

    java.lang.Object
      org.apache.hadoop.io.WritableComparator
          org.apache.mahout.common.IntPairWritable.Comparator

All Implemented Interfaces:
  Serializable, Comparator, org.apache.hadoop.io.RawComparator

Enclosing class:
  IntPairWritable

    public static final class IntPairWritable.Comparator

extends org.apache.hadoop.io.WritableComparator
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`IntPairWritable.Comparator()`

Method Summary
`int` `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`

Methods inherited from class org.apache.hadoop.io.WritableComparator
`compare, compare, compareBytes, define, get, getKeyClass, hashBytes, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### IntPairWritable.Comparator

    public IntPairWritable.Comparator()

Method Detail

### compare

    public int compare(byte[] b1,
                       int s1,
                       int l1,
                       byte[] b2,
                       int s2,
                       int l2)

  Specified by:
    `compare` in interface `org.apache.hadoop.io.RawComparator`
  Overrides:
    `compare` in class `org.apache.hadoop.io.WritableComparator`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.